### Struct

# Gtk Border

since: 4.0

#### Description [src]

    struct GtkBorder {
      gint16 left;
      gint16 right;
      gint16 top;
      gint16 bottom;
    }

A struct that specifies a border around a rectangular area.

Each side can have different width.

###### Structure members

`left`

  The width of the left border.

`right`

  The width of the right border.

`top`

  The width of the top border.

`bottom`

  The width of the bottom border.

Available since: 4.0

#### Constructors

###### gtk_border_new

Allocates a new `GtkBorder` struct and initializes its elements to zero.

since: 4.0

#### Instance methods

###### gtk_border_copy

Copies a `GtkBorder`.

since: 4.0

###### gtk_border_free

Frees a `GtkBorder`.

since: 4.0